# Project Details

This course covers a wide range of topics in security and privacy. The goal of
the course project is to dive more deeply into a particular topic individually
or in groups of two. A good project could potentially lead to a publishable
result.  This project could take different forms:

- **Theoretical**: Extend a technique, explore a new application, or develop
  some other kind of conceptual contribution.
- **Experience report**: Experiment with an existing implementation, trying out
  different examples and describing the overall experience. Or make a new
  implementation.
- **Literature survey**: Select a couple (3-5) of related papers in a recent
  research area. Summarize the significance, then compare and contrast.
- **Other**: Feel free to propose other kinds of projects.

If at any point you have trouble finding a project, run into difficulties, or
just want some advice, **please come talk to me** and I will try to help you get
unstuck.

## Deliverables

In order to keep projects on track, each group will turn in two milestone
reports along the way, **1-2 pages each**. At one-third of the way through, you
should have settled on a project goal and made some exploratory steps.

- **Milestone 1**. Describe the project goal as concretely as possible,
  summarize what preliminary things have been tried, and plan out directions to
  explore next.
  [Heilmeier's Catechism](https://en.wikipedia.org/wiki/George_H._Heilmeier#Heilmeier%27s_Catechism)
  is a good set of questions to keep in mind.

At two-thirds of the way through, the project should be progressing and it
should be clear what remains to be done.

- **Milestone 2**. Clarify the project goal, summarize current progress, and
  plan out how to finish remaining items. Describe what you think can definitely
  be done, along with reach goals to try if things go well.

Besides the milestones, the main deliverable of the project will be a written
final report, around **15-20 pages** in length. Reports should be written in a
research paper style, covering the following broad areas in some reasonable
order:

- **Introduce** the problem and the motivation. 
- **Review** background and preliminary material.
- **Develop** the main technical core of the project.
- **Evaluate** the results.
- **Survey** related work.

At the end of the course, each group will give a brief project presentation in
class.

## Deadlines

See [here](../schedule/deadlines.md).
