# Paper Suggestions

### Differential Privacy
- Frank McSherry and Kunal Talwar.
  [*Mechanism Design via Differential Privacy*](http://kunaltalwar.org/papers/expmech.pdf).
  FOCS 2007.
- Cynthia Dwork, Moni Naor, Toniann Pitassi, and Guy Rothblum.
  [*Differential Privacy under Continual Observation*](http://www.wisdom.weizmann.ac.il/~naor/PAPERS/continual_observation.pdf).
  STOC 2010.
- T.-H. Hubert Chan, Elaine Shi, and Dawn Song.
  [*Private and Continual Release of Statistics*](https://eprint.iacr.org/2010/076.pdf).
  ICALP 2010.
- Moritz Hardt, Katrina Ligett, and Frank McSherry.
  [*A Simple and Practical Algorithm for Differentially Private Data Release*](https://papers.nips.cc/paper/4548-a-simple-and-practical-algorithm-for-differentially-private-data-release.pdf).
  NIPS 2012.
- Daniel Kifer and Ashwin Machanavajjhala.
  [*A Rigorous and Customizable Framework for Privacy*](http://www.cse.psu.edu/~duk17/papers/pufferfish_preprint.pdf).
  PODS 2012.
- Úlfar Erlingsson, Vasyl Pihur, and Aleksandra Korolova.
  [*RAPPOR: Randomized Aggregatable Privacy-Preserving Ordinal Response*](https://arxiv.org/pdf/1407.6981.pdf).
  CCS 2014.
- Cynthia Dwork, Moni Naor, Omer Reingold, and Guy N. Rothblum.
  [*Pure Differential Privacy for Rectangle Queries via Private Partitions*](https://guyrothblum.files.wordpress.com/2017/06/dnrr15.pdf).
  ASIACRYPT 2015.
- Matthew Joseph, Aaron Roth, Jonathan Ullman, and Bo Waggoner.
  [*Local Differential Privacy for Evolving Data*](https://arxiv.org/abs/1802.07128).

### Applied Cryptography
- Benjamin Braun, Ariel J. Feldman Zuocheng Ren, Srinath Setty, Andrew J.  Blumberg, and Michael Walfish.
  [*Verifying Computations with State*](https://eprint.iacr.org/2013/356.pdf). 
  SOSP 2013.
- Bryan Parno, Jon Howell, Craig Gentry, and Mariana Raykova.
  [*Pinocchio: Nearly Practical Verifiable Computation*](https://eprint.iacr.org/2013/279.pdf).
  S&P 2013.
- Aseem Rastogi, Matthew A. Hammer and Michael Hicks.
  [*Wysteria: A Programming Language for Generic, Mixed-Mode Multiparty Computations*](http://www.cs.umd.edu/~aseem/wysteria-tr.pdf). 
  S&P 2014.
- Shai Halevi and Victor Shoup.
  [*Algorithms in HElib*](https://www.shoup.net/papers/helib.pdf).
  CRYPTO 2014.
- Shai Halevi and Victor Shoup.
  [*Bootstrapping for HElib*](https://www.shoup.net/papers/boot.pdf).
  EUROCRYPT 2015.
- Léo Ducas and Daniele Micciancio.
  [*FHEW: Bootstrapping Homomorphic Encryption in Less than a Second*](https://eprint.iacr.org/2014/816.pdf).
  EUROCRYPT 2015.
- Peter Kairouz, Sewoong Oh, and Pramod Viswanath.
  [*Secure Multi-party Differential Privacy*](https://papers.nips.cc/paper/6004-secure-multi-party-differential-privacy.pdf).
  NIPS 2015.
- Arjun Narayan, Ariel Feldman, Antonis Papadimitriou, and Andreas Haeberlen.
  [*Verifiable Differential Privacy*](https://www.cis.upenn.edu/~ahae/papers/verdp-eurosys2015.pdf).
  EUROSYS 2015.

### Language-Based Security
- Martín Abadi and Andrew D. Gordon.
  [*A Calculus for Cryptographic Protocols: The Spi Calculus*](https://www.microsoft.com/en-us/research/wp-content/uploads/2016/11/ic99spi.pdf).
  Information and Computation, 1999.
- Frank McSherry.
	[*Privacy Integrated Queries*](http://citeseerx.ist.psu.edu/viewdoc/download?rep=rep1&type=pdf&doi=10.1.1.211.4503).
	SIGMOD 2009.
- Jason Reed and Benjamin C. Pierce.
  [*Distance Makes the Types Grow Stronger: A Calculus for Differential Privacy*](https://www.cis.upenn.edu/~bcpierce/papers/dp.pdf).
  ICFP 2010.
- Daniel B. Griffin, Amit Levy, Deian Stefan, David Terei, David Mazières, John C. Mitchell, and Alejandro Russo.
  [*Hails: Protecting Data Privacy in Untrusted Web Applications*](https://www.usenix.org/system/files/conference/osdi12/osdi12-final-35.pdf).
  OSDI 2012.
- Danfeng Zhang, Aslan Askarov, and Andrew C. Myers.
  [*Language-Based Control and Mitigation of Timing Channels*](https://www.cs.cornell.edu/andru/papers/pltiming-pldi12.pdf).
  PLDI 2012.
- Andrew Miller, Michael Hicks, Jonathan Katz, and Elaine Shi.
  [*Authenticated Data Structures, Generically*](https://www.cs.umd.edu/~mwh/papers/gpads.pdf).
  POPL 2014.
- Gilles Barthe, Marco Gaboardi, Emilio Jesús Gallego Arias, Justin Hsu, Aaron Roth, and Pierre-Yves Strub.
  [*Higher-Order Approximate Relational Refinement Types for Mechanism Design and Differential Privacy*](https://arxiv.org/pdf/1407.6845.pdf).
  POPL 2015.
- Samee Zahur and David Evans.
  [*Obliv-C: A Language for Extensible Data-Oblivious Computation*](https://eprint.iacr.org/2015/1153.pdf).
  IACR 2015.
- Chang Liu, Xiao Shaun Wang, Kartik Nayak, Yan Huang, and Elaine Shi.
  [*ObliVM: A Programming Framework for Secure Computation*](http://www.cs.umd.edu/~elaine/docs/oblivm.pdf).
  S&P 2015.
- Andrew Ferraiuolo, Rui Xu, Danfeng Zhang, Andrew C. Myers, and G. Edward Suh.
  [*Verification of a Practical Hardware Security Architecture Through Static Information Flow Analysis*](http://www.cse.psu.edu/~dbz5017/pub/asplos17.pdf).
  ASPLOS 2017.

### Adversarial Machine Learning
- Christian Szegedy, Wojciech Zaremba, Ilya Sutskever, Joan Bruna, Dumitru Erhan, Ian Goodfellow, and Rob Fergus.
  [*Intriguing Properties of Neural Networks*](https://arxiv.org/pdf/1312.6199.pdf).
  ICLR 2014.
- Ian J. Goodfellow, Jonathon Shlens, and Christian Szegedy.
  [*Explaining and Harnessing Adversarial Examples*](https://arxiv.org/abs/1412.6572).
  ICLR 2015.
- Nicholas Carlini and David Wagner.
  [*Towards Evaluating the Robustness of Neural Networks*](https://arxiv.org/pdf/1608.04644.pdf).
  S&P 2017.
- Kevin Eykholt, Ivan Evtimov, Earlence Fernandes, Bo Li, Amir Rahmati, Chaowei Xiao, Atul Prakash, Tadayoshi Kohno, and Dawn Song.
  [*Robust Physical-World Attacks on Deep Learning Models*](https://arxiv.org/pdf/1707.08945.pdf).
  CVPR 2018.
- Nicholas Carlini and David Wagner.
  [*Adversarial Examples Are Not Easily Detected: Bypassing Ten Detection Methods*](https://arxiv.org/pdf/1705.07263.pdf).
  AISec 2017.
- Jacob Steinhardt, Pang Wei Koh, and Percy Liang.
  [*Certified Defenses for Data Poisoning Attacks*](https://arxiv.org/pdf/1706.03691.pdf).
  NIPS 2017.
- Aleksander Madry, Aleksandar Makelov, Ludwig Schmidt, Dimitris Tsipras, and Adrian Vladu.
  [*Towards Deep Learning Models Resistant to Adversarial Attacks*](https://arxiv.org/pdf/1706.06083.pdf).
  ICLR 2018.

# Supplemental Material
- Cynthia Dwork and Aaron Roth.
  [*Algorithmic Foundations of Data Privacy*](https://www.cis.upenn.edu/~aaroth/Papers/privacybook.pdf).
- Gilles Barthe, Marco Gaboardi, Justin Hsu, and Benjamin C. Pierce.
  [*Programming Language Techniques for Differential Privacy*](https://dl.acm.org/citation.cfm?id=2893591&dl=ACM&coll=DL).
- Michael Walfish and Andrew J. Blumberg.
  [*Verifying Computations without Reexecuting Them*](http://delivery.acm.org/10.1145/2650000/2641562/p74-walfish.pdf?ip=24.59.48.254&id=2641562&acc=OA&key=4D4702B0C3E38B35%2E4D4702B0C3E38B35%2E4D4702B0C3E38B35%2E757E42EE4C319386&__acm__=1533144327_267b96b7bd723efc52072f0f79f6720d).
- Véronique Cortier, Steve Kremer, and Bogdan Warinschi.
  [*A Survey of Symbolic Methods in Computational Analysis of Cryptographic Systems*](https://hal.inria.fr/inria-00379776/document). 
- Dan Boneh and Victor Shoup.
  [*A Graduate Course in Applied Cryptography*](https://crypto.stanford.edu/~dabo/cryptobook/BonehShoup_0_4.pdf).
