*Security and privacy* are rapidly emerging as critical research areas in
computer science and beyond. Vulnerabilities in software are found and exploited
almost everyday, with grave consequences. Personal data today is aggregated at
large scales, increasing the risk of privacy violations or breaches. Finally,
*machine-learning* (ML) algorithms are seeing real-world applications in
critical sectors (e.g., health care, automation, and finance), but their
behavior in the presence of malicious adversaries is poorly understood.

This advanced topics class will cover recent techniques from the frontiers of
security and privacy research. Topics will be drawn from the following broad
areas, depending on student interest:

### Differential Privacy
- Basic properties and examples
- Advanced mechanisms
- Local differential privacy

### Cryptographic Techniques
- Zero-knowledge proofs
- Secure multi-party computation
- Verifiable computation

### Language-Based Security
- Secure information flow
- Differential privacy
- Symbolic cryptography

### Adversarial Machine Learning
- Training-time attacks
- Test-time attacks
- Model-theft attacks
